Index: test/sasrealspace/test/sim_validation.py
===================================================================
--- test/sasrealspace/test/sim_validation.py	(revision ac07a3acc20dbf79c564bf642aece71a02c2c862)
+++ test/sasrealspace/test/sim_validation.py	(revision aaf5e497ff1af2aa7b8b3d361ab951e2a0ca7c93)
@@ -5,11 +5,13 @@
     @license: This software is provided as part of the DANSE project
 """
+from __future__ import print_function
+
 import math, time, pylab
 
 try:
     import VolumeCanvas
-    print "Testing local version"
+    print("Testing local version")
 except:
-    print "Testing installed version"
+    print("Testing installed version")
     import sas.sascalc.realspace.VolumeCanvas as VolumeCanvas
      
@@ -250,6 +252,6 @@
         ana = validator.run_ana(q)
         sim, err = validator.run_sim(q)
-        print "q=%-g  ana=%-g  sim=%-g  err=%-g  diff=%-g (%-g) %s" % (q, ana, sim, err, 
-                        (sim-ana), sim/ana, str(math.fabs(sim-ana)>err))
+        print("q=%-g  ana=%-g  sim=%-g  err=%-g  diff=%-g (%-g) %s" % (q, ana, sim, err, 
+                        (sim-ana), sim/ana, str(math.fabs(sim-ana)>err)))
         output.write("%g  %g  %g  %g\n" % (q, ana, sim, err))
     output.close()
@@ -278,8 +280,8 @@
         ana = validator.run_ana2D(q*math.cos(phi), q*math.sin(phi))
         sim, err = validator.run_sim2D(q*math.cos(phi), q*math.sin(phi))
-        print "q=%-g  ana=%-g  sim=%-g  err=%-g  diff=%-g (%-g) %s" % (q, ana, sim, err, 
-                        (sim-ana), sim/ana, str(math.fabs(sim-ana)>err))
+        print("q=%-g  ana=%-g  sim=%-g  err=%-g  diff=%-g (%-g) %s" % (q, ana, sim, err, 
+                        (sim-ana), sim/ana, str(math.fabs(sim-ana)>err)))
         output.write("%g  %g  %g  %g\n" % (q, ana, sim, err))
-    print "Time elapsed: ", time.time()-t_0
+    print("Time elapsed: ", time.time()-t_0)
     output.close()
        
@@ -306,7 +308,7 @@
     for d in d_list:
         sim, err = validator.run_sim(q, density=d)
-        print "d=%-g  ana=%-g  sim=%-g  err=%-g  diff=%-g (%g) %s" % \
+        print("d=%-g  ana=%-g  sim=%-g  err=%-g  diff=%-g (%g) %s" % \
             (d, ana, sim, err, (sim-ana), (sim-ana)/ana, 
-             str(math.fabs(sim-ana)>err))
+             str(math.fabs(sim-ana)>err)))
         output.write("%g  %g  %g  %g \n" % (d, ana, sim, err))
     output.close()
Index: test/sasrealspace/test/utest_oriented.py
===================================================================
--- test/sasrealspace/test/utest_oriented.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ test/sasrealspace/test/utest_oriented.py	(revision aaf5e497ff1af2aa7b8b3d361ab951e2a0ca7c93)
@@ -3,4 +3,5 @@
     @copyright: University of Tennessee, for the DANSE project
 """
+from __future__ import print_function
 
 import unittest, math, sys
@@ -16,9 +17,9 @@
 try:
     import VolumeCanvas
-    print "Testing local version"
+    print("Testing local version")
 except:
-    print sys.exc_value
+    print(sys.exc_value)
     #testing the version that is working on
-    print "Testing installed version"
+    print("Testing installed version")
     import sas.sascalc.realspace.VolumeCanvas as VolumeCanvas
  
@@ -241,5 +242,5 @@
             self.assert_( math.fabs(sim_val/ana_val-1.0)<0.05 )
         except:
-            print "Error", ana_val, sim_val, sim_val/ana_val
+            print("Error", ana_val, sim_val, sim_val/ana_val)
             raise sys.exc_type, sys.exc_value
 
@@ -395,5 +396,5 @@
             self.assert_( math.fabs(sim_val/ana_val-1.0)<0.05 )
         except:
-            print "Error", ana_val, sim_val, sim_val/ana_val
+            print("Error", ana_val, sim_val, sim_val/ana_val)
             raise sys.exc_type, sys.exc_value
 
@@ -407,5 +408,5 @@
             self.assert_( math.fabs(sim_val/ana_val-1.0)<0.05 )
         except:
-            print "Error", ana_val, sim_val, sim_val/ana_val
+            print("Error", ana_val, sim_val, sim_val/ana_val)
             raise sys.exc_type, sys.exc_value
 
@@ -419,5 +420,5 @@
             self.assert_( math.fabs(sim_val/ana_val-1.0)<0.05 )
         except:
-            print "Error", ana_val, sim_val, sim_val/ana_val
+            print("Error", ana_val, sim_val, sim_val/ana_val)
             raise sys.exc_type, sys.exc_value
 
@@ -431,5 +432,5 @@
             self.assert_( math.fabs(sim_val/ana_val-1.0)<0.05 )
         except:
-            print "Error", ana_val, sim_val, sim_val/ana_val
+            print("Error", ana_val, sim_val, sim_val/ana_val)
             raise sys.exc_type, sys.exc_value
 
Index: test/sasrealspace/test/utest_realspace.py
===================================================================
--- test/sasrealspace/test/utest_realspace.py	(revision 45dffa69cb5935e2da7c77a2f040debb07ceb1c6)
+++ test/sasrealspace/test/utest_realspace.py	(revision aaf5e497ff1af2aa7b8b3d361ab951e2a0ca7c93)
@@ -3,4 +3,5 @@
     @author: Mathieu Doucet / UTK
 """
+from __future__ import print_function
 
 import unittest, math, time
@@ -15,10 +16,10 @@
 try:
     import VolumeCanvas
-    print "Testing local version"
+    print("Testing local version")
 except:
     import sys
-    print sys.exc_value
+    print(sys.exc_value)
     #testing the version that is working on
-    print "Testing installed version"
+    print("Testing installed version")
     import sas.sascalc.realspace.VolumeCanvas as VolumeCanvas
      
Index: test/utest_sasview.py
===================================================================
--- test/utest_sasview.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ test/utest_sasview.py	(revision aaf5e497ff1af2aa7b8b3d361ab951e2a0ca7c93)
@@ -1,3 +1,5 @@
 #!/usr/bin/env python
+from __future__ import print_function
+
 import os
 import subprocess
@@ -80,24 +82,24 @@
                     if has_failed:
                         failed += 1
-                        print "Result for %s (%s): FAILED" % (module_name, module_dir)
-                        print std_out
+                        print("Result for %s (%s): FAILED" % (module_name, module_dir))
+                        print(std_out)
                     else:
                         passed += 1
-                        print "Result for %s: SUCCESS" % module_name
+                        print("Result for %s: SUCCESS" % module_name)
 
-    print "\n----------------------------------------------"
+    print("\n----------------------------------------------")
     if n_tests == 0:
-        print "No tests."
+        print("No tests.")
     else:
-        print "Results by test modules:"
-        print "    PASSED: %d" % passed
+        print("Results by test modules:")
+        print("    PASSED: %d" % passed)
         ratio = 100.0*failed/(failed+passed)
-        print "    FAILED: %d    (%.0f%%)" % (failed,ratio)
+        print("    FAILED: %d    (%.0f%%)" % (failed,ratio))
 
-        print "Results by tests:"
-        print "    Tests run:    %d" % n_tests
-        print "    Tests failed: %d" % n_failures
-        print "    Test errors:  %d" % n_errors
-    print "----------------------------------------------"
+        print("Results by tests:")
+        print("    Tests run:    %d" % n_tests)
+        print("    Tests failed: %d" % n_failures)
+        print("    Test errors:  %d" % n_errors)
+    print("----------------------------------------------")
     
     return failed
